Skip to Content
Booking

Remove the promo code from a reservation

Toegang

Lid van de organisatie met dit recht:

  • reservations:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

DELETE
/orgs/{organizationId}/booking/reservations/{reservationId}/promo-code

Releases the code's use and returns the price without it.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

reservationId*string
Length1 <= length

Response Body

OK

application/json
  1. response
reservationId*string
terrainTypeId*string|null
accommodationName*string|null
currency*string
quote*|null
invoiceId*string|null
invoiceDisplayId*string|null
promoCode*|null
billing*|null
Example Request
curl -X DELETE 'https://api.tillor.eu/orgs//booking/reservations/string/promo-code'
Example Response
{  "reservationId": "string",  "terrainTypeId": "string",  "accommodationName": "string",  "currency": "string",  "quote": {    "checkIn": "string",    "checkOut": "string",    "nights": -9007199254740991,    "nightPrices": [      {        "date": "string",        "price": 0,        "rateId": "string"      }    ],    "lines": [      {        "key": "string",        "kind": "stay",        "label": "string",        "quantity": 0,        "unitPrice": 0,        "total": 0,        "taxPercentage": 0,        "extraId": "string",        "periodStart": "string",        "periodEnd": "string"      }    ],    "subtotal": 0,    "discount": 0,    "total": 0,    "deposit": 0,    "taxTotal": 0,    "issues": [      {        "code": "INVALID_RANGE",        "value": 0,        "date": "string"      }    ],    "valid": true,    "promo": {      "code": "string",      "percentage": 0,      "amount": 0,      "appliesToExtras": true,      "appliesToTouristTax": true,      "minNights": -9007199254740991,      "maxNights": -9007199254740991,      "stayFrom": "string",      "stayTo": "string",      "checkInWeekdays": [        -9007199254740991      ],      "firstBookingOnly": true,      "firstStayOnly": true,      "rejected": true    }  },  "invoiceId": "string",  "invoiceDisplayId": "string",  "promoCode": {    "id": "string",    "code": "string",    "discount": 0  },  "billing": {    "documents": [      {        "id": "string",        "displayId": "string",        "type": "INVOICE",        "status": "DRAFT",        "paymentStatus": "UNPAID",        "amountTotal": 0,        "amountPaid": 0,        "amountOutstanding": 0      }    ],    "canceled": true,    "mode": "lines",    "currentTotal": 0,    "invoicedTotal": 0,    "difference": 0,    "untrackedTotal": 0,    "action": "none",    "lines": [      {        "description": "string",        "quantity": 0,        "unitPrice": 0,        "total": 0,        "taxPercentage": 0      }    ]  }}